/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements. See the NOTICE file distributed with this
 * work for additional information regarding copyright ownership. The ASF
 * licenses this file to You under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations
 * under the License.
 */

package org.apache.hugegraph.computer.core.master;

/**
 * The default master-computation, which can be used if there is no
 * algorithm-specific master-computation.
 */
public class DefaultMasterComputation implements MasterComputation {

    @Override
    public void init(MasterContext context) {
        // pass
    }

    /**
     * Compute until max superstep.
     */
    @Override
    public boolean compute(MasterComputationContext context) {
        return true;
    }

    @Override
    public void close(MasterContext context) {
        // pass
    }
}
